/// <reference types="react" />
import { FieldList } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/admin/datamodel/components/FieldList";
export declare const FieldMappingRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const FieldMappingContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export interface FieldSelectButtonProps {
    hasError: boolean;
}
export declare const FieldSelectButton: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/core/components/SelectButton").SelectButtonProps & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & FieldSelectButtonProps, {}, {}>;
export declare const ForeignKeyList: import("@emotion/styled").StyledComponent<any, {}, {
    ref?: import("react").Ref<FieldList> | undefined;
}>;
export declare const FieldValueMappingInput: import("@emotion/styled").StyledComponent<import("../../../../../components/InputBlurChange/InputBlurChange").InputBlurChangeProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
